summaryrefslogtreecommitdiffstats
path: root/games/pentagram/pentagram.SlackBuild
diff options
context:
space:
mode:
author B. Watson2011-10-31 00:11:41 +0100
committer Niels Horn2011-11-05 01:02:25 +0100
commitbe42faf8c6fd5b81f1068427047b1f89ab50566b (patch)
tree034a51890fd231b8e87aae3ffe8665e375d6b52d /games/pentagram/pentagram.SlackBuild
parentf215f84686b58968844e2fc227b5f3d7c35d2183 (diff)
downloadslackbuilds-be42faf8c6fd5b81f1068427047b1f89ab50566b.tar.gz
games/pentagram: Added (an Ultima 8 engine)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games/pentagram/pentagram.SlackBuild')
-rw-r--r--games/pentagram/pentagram.SlackBuild116
1 files changed, 116 insertions, 0 deletions
diff --git a/games/pentagram/pentagram.SlackBuild b/games/pentagram/pentagram.SlackBuild
new file mode 100644
index 0000000000..fbb49e2ac6
--- /dev/null
+++ b/games/pentagram/pentagram.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for pentagram
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=pentagram
+VERSION=${VERSION:-20110229_svn}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./bootstrap
+
+# The extra scalers make the binary about 50% bigger (not enough
+# to matter). They aren't used by default (user has to enable them
+# via in-game menu or .ini file).
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-hq2x \
+ --enable-gc-scalers \
+ --enable-all-bilinear \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+mkdir -p $PKG/usr/bin
+install -s -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM-bin
+install -m0755 $CWD/$PRGNAM.sh $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cat ./system/desktop/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# man page written for this build.
+mkdir -p $PKG/usr/man/man1
+sed "s/@VERSION@/$VERSION/g" $CWD/$PRGNAM.1 | gzip -9c > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# default config file contains all the options, commented out, plus
+# the default options for this build.
+
+# The default path= assumes the user has extracted or copied the Ultima 8
+# game directory to /usr/share/pentagram (so the file
+# /usr/share/pentagram/U8.exe should exist, possibly as u8.exe or U8.EXE).
+
+# The default MIDI driver, at least on the author's system, crashes X and
+# panics the kernel for some reason. It wants to use the OSS sequencer,
+# and the call trace after X dies shows the error happened in the snd_seq_oss
+# module. Removing this module causes pentagram to fall back to "fmopl"
+# midi, which works fine and doesn't cause any problems (probably doesn't
+# sound as nice, since it seems to be emulating an old AdLib card).
+# Setting midi_driver=fmopl in the default config will avoid any problems
+# and users won't have to troubleshoot OSS sequencer crap themselves.
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cat $CWD/$PRGNAM.ini.default > $PKG/usr/share/$PRGNAM/$PRGNAM.ini.default
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}